# при использовании настроек сборочных линий https://gitlab.com/shmalevoz/bsl-ci

variables:
  # задать относительные каталоги исходных кодов загружаемых и выгружаемых зависимостей
  PJ_DEPENDS_UPLOAD: "depends/std_objects/src/config"
  #PJ_DEPENDS_SAVE: "depends/common_methods_ext/src/config"
  # раскомментировать при необходимости изменить значения по-умолчанию
  #PJ_DEBUG: "1"
  #PJ_SOURCES: "src/config"
  PJ_UPLOAD: "1"
  PJ_TEST_XUNIT: "0"
  PJ_TEST_SONAR: "1"
  PJ_RELEASE_CREATE: "0"
  PJ_RELEASE_BRANCH: "stable"
  PJ_DOC_CREATE: "0"
  PJ_DOC_BRANCH: "$PJ_RELEASE_BRANCH"
  #PJ_DOC_DIR: "build/docs"
  #PJ_DEPENDS_SCRIPTS: "depends/scripts"
  #PJ_DEPENDS_BSL2JSDOC: "depends/bsl2jsdoc"

include:
  - remote: 'https://gitlab.com/shmalevoz/bsl-ci/raw/stable/bsl.yml'
